using System.Collections.Generic;
using System.Linq;
using WpfApp3.Class;

namespace WpfApp2
{
    class InstrumentFilter
    {
        public List<MusicalInstrument> FilterByType(List<MusicalInstrument> instruments, string type)
        {
            return instruments.Where(i => i.Type == type).ToList();
        }

        public List<MusicalInstrument> FilterAll(List<MusicalInstrument> instruments)
        {
            return instruments;
        }
    }
}